summarylogtreecommitdiffstats
path: root/mullvad-vpn.install
diff options
context:
space:
mode:
authorMark Wagie2020-04-29 12:57:56 -0600
committerMark Wagie2020-04-29 12:57:56 -0600
commit10198603e96fe7a392afeefad60fe4d6953b0913 (patch)
tree5c10ea659d0c28bcb64b96b530bd127df7e0dab3 /mullvad-vpn.install
parent431c77c1a952e2edd7108a1148bf8c019fa939a4 (diff)
downloadaur-10198603e96fe7a392afeefad60fe4d6953b0913.tar.gz
updated to 2020.4-beta3
Diffstat (limited to 'mullvad-vpn.install')
-rw-r--r--mullvad-vpn.install10
1 files changed, 5 insertions, 5 deletions
diff --git a/mullvad-vpn.install b/mullvad-vpn.install
index 6fe7d441bf1f..9d70b11d7296 100644
--- a/mullvad-vpn.install
+++ b/mullvad-vpn.install
@@ -1,9 +1,10 @@
pre_install() {
if systemctl status mullvad-daemon &> /dev/null; then
echo 'Stopping & disabling Mullvad VPN daemon...'
+ /opt/Mullvad\ VPN/resources/mullvad-setup prepare-restart || true
systemctl disable --now mullvad-daemon
fi
-
+
rm -f /var/cache/mullvad-vpn/relays.json || true
}
@@ -13,14 +14,13 @@ post_install() {
}
pre_upgrade() {
- echo 'Stopping Mullvad VPN daemon...'
- systemctl stop mullvad-daemon
+ pre_install
}
post_upgrade() {
- echo 'Restarting Mullvad VPN daemon...'
+ echo 'Starting & enabling Mullvad VPN daemon...'
systemctl daemon-reload
- systemctl start mullvad-daemon
+ systemctl enable --now mullvad-daemon
}
pre_remove() {